﻿body {
    padding: 20px;
    margin: 25px;
    margin-top: 10px;
    padding-top: 10px;
    min-height: 100%;
}

nav ul {
    display: flex;
    list-style: none;
    background-color: #ffffff;
    padding: 0;
    text-align: right;
}

    nav ul li a {
        display: block;
        padding: 15px;
        text-decoration: none;
        color: #000000;
        text-align: left;
    }

        nav ul li a:visited {
            display: block;
            padding: 15px;
            text-decoration: none;
            color: #000000;
            text-align: left;
        }

.pesta_acti {
    max-height: 365px !important;
    padding: 5px !important;
    margin: 5px !important;
    padding-top: 5px !important;
    margin-top: 5px !important;
}

.pesta_acti:hover
{
    background-color:#ffffff;
}

.pesta_letra {
    display:inline-block;
}

.pesta_enlace {
    text-decoration: none !important;
    color: inherit !important;
}
    .pesta_enlace a:visited {
        color: inherit !important;
    }

.pie {
    background-color: #000000;
    color: #ffffff;
    text-align: center;
    padding: 5px;
    margin: 5px;
    font-size: small;
}

.contenedor {
    display: flex;
    flex-direction: column;
    min-height: 95vh; /* Altura completa de la ventana */
}

.contenido {
    flex: 1 0 auto;
}

.enlace_rojo {
    color: #000000;
}

.enlace {
    display: block;
    padding: 5px;
    text-decoration: none;
    color: #ffffff;
    text-align: left;
    font-size: small;
}

.enlace a:visited {
    color: #ffffff;
}

 .enlace:hover {
        text-decoration: none;
        color: #808080 !important;
    }

.step {
    text-decoration: none;
    color: #ffffff !important;
}


.step a:visited {
        color: #ffffff !important;

}

.step2 {
    text-decoration: none;
    color: #808080 !important;
}

.step3 {
    text-decoration: none;
    color: #ffffff !important;
}

.step:hover {
    text-decoration: none;
    color: #ECFFDC !important;
}


.step2:hover {
    text-decoration: none;
    color: #808080 !important;
}

.step3:hover {
    text-decoration: none;
    color: #808080 !important;
}

.enlace_negro {
    color: #000000 !important;
    text-decoration:none !important;
}

.enlace_negro:hover {
    text-decoration: none;
    color: #808080 !important;
}

.detalle {
    font-size: 12px;
    color: #343434;
}

.arriba {
    position: sticky !important; 
    top: 0 !important; 
    left: 0 !important; 
    width: 100% !important; 
    z-index: 1000 !important;
    background-color:#000000;
    color:#ffffff;
}

.linea {
    display: block;
}


.calendario {
    min-width: 70% !important;
}

.dia
{
    color:#000000;
    font-weight:bold;
    height:30px;
}
.peq {
    
}

.titulo {
    font-size: 46px;
    font-weight: bold;
}
.texto_grande {
    font-size: larger;
}

/* Contenedor oscuro de fondo */
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Fondo semitransparente */
    display: none; /* Uso flexbox para centrar fácilmente */
    justify-content: center;
    align-items: center;
    z-index: 1100; /* Asegura que esté por encima */
    display: none;
}

/* La ventana emergente    */
.popup {
    background: white;
    padding: 20px;
    border-radius: 8px;
    width: 90% !important;
    max-width: 1300px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
}
 



.imagenpop {
    max-width: 90%;
    max-height: 550px !important;
}

/* El truco: Se muestra cuando el ID está en la URL */
.overlay:target {
    display: flex;
}

@media (max-width: 1000px) {

    .popup {
        background: white;
        padding: 20px;
        border-radius: 8px;
        width: 80%;
        max-width: 900px;
        box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    }



    .imagenpop {
        max-width: 90%;
        max-height: 300px !important;
    }
}


    @media (max-width: 768px) {
        body {
            padding: 10px;
            margin: 15px;
            margin-top: 5px;
            padding-top: 3px;
        }

       

        .detalle {
            font-size: 8px;
            color: #343434;
        }

        .calendario {
            min-width: 100% !important;
        }

        .peq {
            font-size: 8px;
        }

        .dia {
            color: #000000;
            font-weight: bold;
            height: 20px;
        }
    }
